Jump to content

nhaskins

Members
  • Content count

    6
  • Joined

  • Last visited

About nhaskins

  • Rank
    Newbie

Recent Profile Visitors

761 profile views
  1. Hi so the issue is that when I try to use PolyBrush on a ProBuilder generated plane or cube, I get spammed with the following AmbiguousMatchException issue. .. and it doesn't allow me to do the edits. I get spammed with this error in the editor while the ProBuilder object is selected. I am able to use PolyBrush to edit other objects in the same scene. It seems to have the issue with just the ProBuilder objects. What do you think? Thanks! Error Log: AmbiguousMatchException: Ambiguous matching in method resolution System.Reflection.Binder.FindMostDerivedMatch (System.Reflection.MethodBase[] match) (at /Users/builduser/buildslave/mono/build/mcs/class/corlib/System.Reflection/Binder.cs:106) System.MonoType.GetMethodImpl (System.String name, BindingFlags bindingAttr, System.Reflection.Binder binder, CallingConventions callConvention, System.Type[] types, System.Reflection.ParameterModifier[] modifiers) (at /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/MonoType.cs:245) System.Type.GetMethod (System.String name, BindingFlags bindingAttr) (at /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/Type.cs:787) Polybrush.z_ReflectionUtil.Invoke (System.Object target, System.Type type, System.String method, System.Type[] methodParams, BindingFlags flags, System.Object[] args) (at Assets/ProCore/Polybrush/Code/Editor/Classes/z_ReflectionUtil.cs:164) Polybrush.z_ReflectionUtil.Invoke (System.Object target, System.String method, BindingFlags flags, System.Object[] args) (at Assets/ProCore/Polybrush/Code/Editor/Classes/z_ReflectionUtil.cs:131) Polybrush.z_EditableObject..ctor (UnityEngine.GameObject go) (at Assets/ProCore/Polybrush/Code/Editor/Classes/z_EditableObject.cs:254) Polybrush.z_EditableObject.Create (UnityEngine.GameObject go) (at Assets/ProCore/Polybrush/Code/Editor/Classes/z_EditableObject.cs:183) Polybrush.z_Editor.GetBrushTarget (UnityEngine.GameObject go) (at Assets/ProCore/Polybrush/Code/Editor/Interface/z_Editor.cs:637) Polybrush.z_Editor.UpdateBrush (Vector2 mousePosition, Boolean isDrag) (at Assets/ProCore/Polybrush/Code/Editor/Interface/z_Editor.cs:712) Polybrush.z_Editor.OnSceneGUI (UnityEditor.SceneView sceneView) (at Assets/ProCore/Polybrush/Code/Editor/Interface/z_Editor.cs:586) UnityEditor.SceneView.CallOnSceneGUI () (at C:/buildslave/unity/build/Editor/Mono/SceneView/SceneView.cs:2405) UnityEditor.SceneView.HandleSelectionAndOnSceneGUI () (at C:/buildslave/unity/build/Editor/Mono/SceneView/SceneView.cs:1723) UnityEditor.SceneView.OnGUI () (at C:/buildslave/unity/build/Editor/Mono/SceneView/SceneView.cs:1555) System.Reflection.MonoMethod.Invoke (System.Object obj, BindingFlags invokeAttr, System.Reflection.Binder binder, System.Object[] parameters, System.Globalization.CultureInfo culture) (at /Users/builduser/buildslave/mono/build/mcs/class/corlib/System.Reflection/MonoMethod.cs:222) Rethrow as TargetInvocationException: Exception has been thrown by the target of an invocation. System.Reflection.MonoMethod.Invoke (System.Object obj, BindingFlags invokeAttr, System.Reflection.Binder binder, System.Object[] parameters, System.Globalization.CultureInfo culture) (at /Users/builduser/buildslave/mono/build/mcs/class/corlib/System.Reflection/MonoMethod.cs:232) System.Reflection.MethodBase.Invoke (System.Object obj, System.Object[] parameters) (at /Users/builduser/buildslave/mono/build/mcs/class/corlib/System.Reflection/MethodBase.cs:115) UnityEditor.HostView.Invoke (System.String methodName, System.Object obj) (at C:/buildslave/unity/build/Editor/Mono/HostView.cs:272) UnityEditor.HostView.Invoke (System.String methodName) (at C:/buildslave/unity/build/Editor/Mono/HostView.cs:265) UnityEditor.HostView.InvokeOnGUI (Rect onGUIPosition) (at C:/buildslave/unity/build/Editor/Mono/HostView.cs:232)
  2. Hi! I have a scenario where I have a material using the standard shader, and I want to use polybrush's texture blending on it, but I can't seem to maintain the original material's look. Is there a default way to preserve the look using Polybrush's included shaders, or does a new shader have to be created to maintain the look? Sorry, my understanding of shaders is limited, so this might be way too general. Here's a short videos of the steps, perhaps that will make more sense: https://youtu.be/j57kXJPMKQc Thanks!
  3. 1) ProBuilder2-v2.6.3f4-unity55, Unity5.4.1f1, "Looks like Unity changed the AnnotationUtility "showSelectionOutline"" 2) Somewhat non block, but spammy errors from Probuilder window->New Shape->Cube->Build Cube 3) Win10 64bit, Unity5.4.1f 64 bit, 4) Full description of issue: Looks like Unity changed the AnnotationUtility "showSelectionOutline" Please email contact@procore3d.com and let Karl know! UnityEngine.Debug:LogWarning(Object) ProBuilder2.EditorCommon.pb_EditorUtility:GetSelectionRenderState() ProBuilder2.EditorCommon.pb_Editor:OnDisable() 5) Install procore package, install probuilder, Probuilder window->New Shape->Cube->Build Cube 6) Doesn't seem to be blocking, but spammy. Here's a video of the steps: https://youtu.be/cZ3ubGpGIxE
  4. 1) Polybrush v0.9 beta 2) Blocking error after installing the package from the asset store purchage 3) Your system environment (Operating system, version of Unity, version of tool) Windows 10 64bit, Unity 5.5.0b7 (64 bit), Polybrush v0.9beta 4) Full description of issues: Assets/ProCore/Polybrush/Code/Editor/Brush Modes/z_BrushMode.cs(87,19): error CS0117: `UnityEditor.EditorUtility' does not contain a definition for `SetSelectedWireframeHidden' Assets/ProCore/Polybrush/Code/Editor/Brush Modes/z_BrushMode.cs(102,19): error CS0117: `UnityEditor.EditorUtility' does not contain a definition for `SetSelectedWireframeHidden' 5) Purchase from asset store, install. 6) Beta 6 changed this API call to private - probably the issue ? In the meantime, what version of Unity would you recommend for Polybrush? Thanks!
  5. I purchased ProCore Bundle today (https://www.assetstore.unity3d.com/en/#!/content/15447), and installed the package into Unity 5.5.07. When I install the ProBuilder package into a new project, I get the follow error: Assets/ProCore/ProBuilder/Editor/MenuItems/Actions/pb_StripProBuilderScripts.cs(73,20): error CS0117: `UnityEditor.EditorUtility' does not contain a definition for `SetSelectedWireframeHidden' I tried to install the same files in Unity5.4 and it does work. What do you think? Thanks
×